<?php
$template = <<<END
<section class="blur wa2_news {val item/bg}">
<h2 class="w1">{val item/title}</h2>
<dl class="new">
<!--{each item/newinfo}-->
<dt>{val item/newinfo/news_date}<!--{def item/newinfo/kind}--><span<!--{def item/newinfo/color}--> class="{val item/newinfo/color}"<!--{/def}-->>{val item/newinfo/kind}</span><!--{/def}--></dt>
<!--{def item/newinfo/url}-->
<dd><a href="{val item/newinfo/url}">{val item/newinfo/title}</a></dd>
<!--{/def}-->
<!--{ndef item/newinfo/url}-->
<dd>{val item/newinfo/title}</dd>
<!--{/ndef}-->
<!--{/each}-->
</dl>
</section>
END;

$wa2_news = array(
	"title" => "wa2お知らせ",
	"name" => "wa2_news",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=wa2_top_page",
			"class" => "notice",
		),
		"notice1" => array(
			"title" => "このブロックは1ページに1つしか使えません",
			"type" => "comment",
			"class"=> "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"info_num" => array(
			"title" => "表示数",
			"type" => "text",
		),
		"bg" => array(
			"title" => "背景",
			"type" => "select",
			"list" => array(
				"" => "なし",
				"bg1" => "あり",
			),
		),
	),
	"func" => "func_wa2_news",		// 処理プログラム（指定がない物は標準処理）
);

block_add($wa2_news);

// お知らせの取得
function func_wa2_news($def, $info)
{
	$login = get_setup();
	$kiji_list = array("" => "");
	$kiji_color = array("" => "");
	for ($i = 1; $i <= 10; $i++) {
		if (trim($login["news" . $i])) {
			$ary = explode("|", trim($login["news" . $i]));
			$kiji_list[$i] = $ary[0];
			$kiji_color[$i] = $ary[1];
		}
	}
	$num = intval($info["info_num"]);
	if ($num) {
		$info["newinfo"] = get_newinfo(($setup["info_max"] == "")?$num:$setup["info_max"]);
	}
	if (is_array($info["newinfo"])) {
		foreach ($info["newinfo"] as $key => $val) {
			$info["newinfo"][$key]["kind"] = $kiji_list[$val["kind"]];
			$info["newinfo"][$key]["color"] = "bgcolor-" . $kiji_color[$val["kind"]] . "-maru";
		}
	}
	return $info;
}
